# $Revision: 1.27.2.1 $, $Date: 2004/03/19 16:43:42 $
Summary:	Client for the Trivial File Transfer Protocol (TFTP)
Summary(de):	Client fr das 'trivial file transfer protocol (tftp)'
Summary(fr):	Client pour le  trivial file transfer protocol  (tftp)
Summary(pl):	Klient TFTP (Trivial File Transfer Protocol)
Summary(tr):	lkel dosya aktarm protokolu (TFTP) iin sunucu ve istemci
Name:		tftp-hpa
Version:	0.36
Release:	2
License:	BSD
Group:		Applications/Networking
Source0:	ftp://ftp.kernel.org/pub/software/network/tftp/%{name}-%{version}.tar.gz
# Source0-md5:	47f369beecd10a1b8dcf051a400a8fd6
Source1:	tftpd-hpa.inetd
BuildRequires:	automake
BuildRequires:	readline-devel
Provides:	tftpdaemon
Obsoletes:	tftp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. This package contains tftp client.

%description -l de
Das trivial file transfer protocol (tftp) wird in der Regel nur zum
Booten von disklosen Workstations benutzt. Es bietet nur geringe
Sicherheit und sollte nur im Bedarfsfall aktiviert werden.

%description -l fr
Le  trivial file transfer protocol  (tftp) est normalement utilis
uniquement pour dmarrer les stations de travail sans disque. Il offre
trs peu de scurit et ne devrait pas tre activ sauf si c'est
ncessaire.

%description -l pl
Tftp (trivial file transfer protocol) jest uywany gwnie do
startowania stacji bezdyskowych z sieci. Pakiet ten zawiera aplikacj
tftp klienta.

%description -l tr
lkel dosya aktarm protokolu genelde disksiz i istasyonlarnn a
zerinden almalarnda kullanlr. Gvenlik denetimleri ok az
olduundan zorunlu kalmadka altrlmamaldr.

%package -n tftpd-hpa
Summary:	Daemon for the trivial file transfer protocol (tftp)
Summary(de):	Dmon fr das 'trivial file transfer protocol (tftp)'
Summary(fr):	Dmon pour le  trivial file transfer protocol  (tftp)
Summary(pl):	Serwer tftp (trivial file transfer protocol)
Summary(tr):	lkel dosya aktarm protokolu (TFTP) iin sunucu ve istemci
Group:		Networking/Daemons
PreReq:		rc-inetd >= 0.8.1
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires(postun):	/usr/sbin/userdel
Requires:	inetdaemon
Provides:	tftpdaemon
Obsoletes:	tftp-server
Obsoletes:	utftpd
Obsoletes:	tftpd

%description -n tftpd-hpa
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. The tftp package provides the user
interface for TFTP, which allows users to transfer files to and from a
remote machine. It provides very little security, and should not be
enabled unless it is needed.

%description -n tftpd-hpa -l de
Das trivial file transfer protocol (tftp) wird in der Regel nur zum
Booten von disklosen Workstations benutzt. Es bietet nur geringe
Sicherheit und sollte nur im Bedarfsfall aktiviert werden.

%description -n tftpd-hpa -l fr
Le  trivial file transfer protocol  (tftp) est normalement utilis
uniquement pour dmarrer les stations de travail sans disque. Il offre
trs peu de scurit et ne devrait pas tre activ sauf si c'est
ncessaire.

%description -n tftpd-hpa -l pl
TFTP (Trivial File Transfer Protocol) jest uywany gwnie do
startowania stacji bezdyskowych z sieci. Serwer tftp powinien by
instalowany tylko wtedy, kiedy zachodzi taka konieczno poniewa
naley on do aplikacji o niskim poziomie bezpieczestwa.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%configure

%{__make} 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},/etc/sysconfig/rc-inetd} \
	$RPM_BUILD_ROOT{%{_mandir}/man{1,8},/var/lib/tftp}

%{__make} install \
	INSTALLROOT=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/tftpd

mv -f $RPM_BUILD_ROOT%{_sbindir}/in.tftpd $RPM_BUILD_ROOT%{_sbindir}/tftpd
mv -f $RPM_BUILD_ROOT%{_mandir}/man8/in.tftpd.8 $RPM_BUILD_ROOT%{_mandir}/man8/tftpd.8

%clean
rm -rf $RPM_BUILD_ROOT

%pre -n tftpd-hpa

if [ -n "`getgid tftp`" ]; then
	if [ "`getgid tftp`" != "59" ]; then
		echo "Error: group tftp doesn't have gid=59. Correct this before installing tftp-hpa." 1>&2
		exit 1
	fi
else
	echo "Adding group tftp GID=59."
	/usr/sbin/groupadd -g 59 -r -f tftp
fi

if [ -n "`id -u tftp 2>/dev/null`" ]; then
	if [ "`id -u tftp`" != "15" ]; then
		echo "Error: user tftp doesn't have uid=15. Correct this before installing tftpd." 1>&2
		exit 1
	fi
else
	echo "Adding user tftp UID=15."
	/usr/sbin/useradd -u 15 -r -d /var/lib/tftp -s /bin/false -c "TFTP User" -g tftp tftp 1>&2
fi

%post -n tftpd-hpa
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server." 1>&2
fi

%postun -n tftpd-hpa
if [ "$1" = "0" -a -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload
fi
if [ "$1" = "0" ]; then
	echo "Removing user tftp."
	/usr/sbin/userdel tftp
	echo "Removing group tftp."
	/usr/sbin/groupdel tftp
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files -n tftpd-hpa
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/rc-inetd/tftpd
%attr(750,tftp,root) %dir /var/lib/tftp
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tftp-hpa.spec,v $
Revision 1.27.2.1  2004/03/19 16:43:42  undefine
- release 2 for RA

Revision 1.27  2004/01/27 22:03:16  eothane
- updated to 0.36, few cosmetics

Revision 1.26  2004/01/10 02:43:37  undefine
- release 0.35, use normal configure macro, copy config.sub from am.

Revision 1.25  2003/12/10 23:22:12  undefine
- release 3 to rebuild with ac

Revision 1.24  2003/08/26 23:19:17  gotar
- no // in paths, sort, white space cleaning

Revision 1.23  2003/05/28 13:02:14  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 06:27:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/05/08 07:50:28  pascalek
- revert last stupid change

Revision 1.20  2003/05/07 12:28:16  pascalek
- tftp user belong to ftp group

Revision 1.19  2003/04/28 08:35:08  misi3k
- removed BR: binutils

Revision 1.18  2003/04/28 07:49:25  misi3k
- added BR: binutils

Revision 1.17  2003/04/28 07:25:00  misi3k
- rel 2
- fixed post & postun ( added group tftp - gid 59)

Revision 1.16  2003/04/12 08:21:45  areq
- 0.34

Revision 1.15  2002/11/22 08:12:06  kloczek
- change permissio on tftp resources to tftp.root/750.

Revision 1.14  2002/11/22 07:32:49  kloczek
- changed permission on tftp server resources to tftp.tftp/750.

Revision 1.13  2002/11/21 10:39:57  blues
- release 2 - tftp dir is now owned by ftp group

Revision 1.12  2002/11/13 12:46:01  kloczek
- readline-devel added to Obsoletes,
- -lnsl removed from TFTPD_LIBS (linking with libnsl isn't neccessary).

Revision 1.11  2002/11/13 12:32:36  kloczek
- cosmetics.

Revision 1.10  2002/11/13 09:00:51  jasio
- 0.32, works fine
- STBR

Revision 1.9  2002/11/12 13:27:54  jasio
- Removed group tftp (works without it);
- Permissions tftp,root on /var/lib/tftp;
- STBR (rpm works OK for me now)

Revision 1.8  2002/11/07 11:00:51  jasio
- Added in pre and post section group tftp, changed perms on /var/lib/tftp
STBR

Revision 1.7  2002/10/25 09:32:01  areq
- 0.31, STBR

Revision 1.6  2002/10/20 20:22:07  qboosh
- Revision and Date

Revision 1.5  2002/10/17 12:51:48  jasio
- Fixed error in setup section

Revision 1.4  2002/10/17 12:49:18  jasio
- Fixed typo prep section

Revision 1.3  2002/10/17 12:44:14  jasio
- Change name in source1

Revision 1.2  2002/10/17 12:41:38  jasio
- Typos.

Revision 1.1  2002/10/17 11:18:44  jasio
- Initial release.
